Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.time.ohlc
Class OHLC

    java.lang.Object
      org.jfree.data.time.ohlc.OHLC

All Implemented Interfaces:
  java.io.Serializable

    public class OHLC

extends java.lang.Object
implements java.io.Serializable

A high low data record (immutable). This class is used internally by the `OHLCItem` class.

Since:
  1.0.4
See Also:
  Serialized Form

Constructor Summary
`OHLC(double open, double high, double low, double close)` Creates a new instance of `OHLC`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`double` | `getClose()` Returns the close value.
`double` | `getHigh()` Returns the high value.
`double` | `getLow()` Returns the low value.
`double` | `getOpen()` Returns the open value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OHLC

    public OHLC(double open,
                double high,
                double low,
                double close)

  Creates a new instance of `OHLC`.

  Parameters:
    `open` - the open value.
    `close` - the close value.
    `high` - the high value.
    `low` - the low value.

Method Detail

### getOpen

    public double getOpen()

  Returns the open value.

  Returns:
    The open value.

### getClose

    public double getClose()

  Returns the close value.

  Returns:
    The close value.

### getHigh

    public double getHigh()

  Returns the high value.

  Returns:
    The high value.

### getLow

    public double getLow()

  Returns the low value.

  Returns:
    The low value.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this instance for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object (`null` permitted).
  Returns:
    A boolean.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.